Rensei docs

List projects in the authenticated org (autocomplete-shaped options).

List projects in the authenticated org (autocomplete-shaped options). - Rensei REST API operation reference.

GET
/api/projects

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

orgId?string

Must match the authenticated org when supplied.

q?string

Case-insensitive substring on project name / slug.

limit?integer
Range1 <= value <= 200

Response Body

Autocomplete options (value = project slug).

application/json
  1. response
options*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/projects'
Example Response
{  "options": [    {      "label": "string",      "value": "string",      "group": "string",      "meta": {        "property1": null,        "property2": null      }    }  ]}